*:*****************************************************************************
*:
*: Procedure file: C:\SKOLA_M\SEMESTR6\DBS1\DBS_PROJ\PROGR\DOTAZ.PRG
*:
*:         System: 
*:         Author: 
*:      Copyright (c) 1910, 
*:  Last modified: 21/05/100     22:09
*:
*:  Procs & Fncts: VYUCT_VYB()
*:               : VYUCTUJ
*:
*:         Set by: _0420Q4B37         (procedure in HOT_MENU.MPR)
*:
*:          Calls: RECC()             (function  in ?)
*:               : WEXIST()           (function  in ?)
*:               : UPPER()            (function  in ?)
*:               : WTITLE()           (function  in ?)
*:               : INT()              (function  in ?)
*:               : SROW()             (function  in ?)
*:               : SCOL()             (function  in ?)
*:               : WVISIBLE()         (function  in ?)
*:               : DATE()             (function  in ?)
*:               : VYUCT_VYB()        (function  in DOTAZ.PRG)
*:
*:      Documented 25.05.10 at 22:59               FoxDoc  version 2.10f
*:*****************************************************************************
set delete off
select pokoj
set filter to
set relation to
set order to tag cisp
select bydleni
set order to tag cisp
set relation to cisp into pokoj
set order to tag cish
select host
set filter to
set order to tag cish
set relation to cish into bydleni
select bydleni
if .not. recc() == 0
   select host
   set skip to bydleni
endif
select sluzba
set filter to
set relation to
set order to tag ciss
select uziti
set filter to
set order to tag ciss
set relation to ciss into sluzba
set order to tag cish



if not wexist("vyuct_w") ;
      or upper(wtitle("VYUCT_W")) == "VYUCT_W.PJX" ;
      or upper(wtitle("VYUCT_W")) == "VYUCT_W.SCX" ;
      or upper(wtitle("VYUCT_W")) == "VYUCT_W.MNX" ;
      or upper(wtitle("VYUCT_W")) == "VYUCT_W.PRG" ;
      or upper(wtitle("VYUCT_W")) == "VYUCT_W.FRX" ;
      or upper(wtitle("VYUCT_W")) == "VYUCT_W.QPR"
   define window vyuct_w ;
      from int((srow()-7)/2),int((scol()-18)/2) ;
      to int((srow()-7)/2)+10,int((scol()-18)/2)+17 ;
      nofloat ;
      noclose ;
      shadow ;
      nominimize ;
      color scheme 1
endif

declare men_tit(3)
men_tit(1) = "Zobrazit"
men_tit(2) = "Tisk"
men_tit(3) = "Zpet"

if wvisible("vyuct_w")
   activate window vyuct_w same
else
   activate window vyuct_w noshow
endif

zac = date()
kon = date()

@ 0,0 say "Vyuctovani"
@ 1,0 say "Od:"
@ 1,4 get zac ;
   size 1,10;
   default {  .  .    }
@ 2,0 say "Do:"
@ 2,4 get kon ;
   size 1,10;
   default {  .  .    };
   valid kon>=zac;
   error "Datum do musi byt vetsi nebo revne datu od"
@ 4,0 get hoste_rad ;
   picture "@&N" ;
   from men_tit ;
   size 5,16 ;
   default 1 ;
   valid vyuct_vyb() ;
   color scheme 2

if not wvisible("vyuct_w")
   activate window vyuct_w
endif

read cycle modal

set delete on
release window vyuct_w





*!*****************************************************************************
*!
*!       Function: VYUCT_VYB()
*!
*!      Called by: DOTAZ.PRG                         
*!
*!          Calls: EMPTY()            (function  in ?)
*!               : VYUCTUJ            (procedure in DOTAZ.PRG)
*!
*!    Other Files: VYUCT.TXT
*!
*!*****************************************************************************
function vyuct_vyb
do case
case hoste_rad == 1
   select bydleni
   set filter to .not. empty(bydleni.do) .and.;
      .not. empty(bydleni.od) .and.;
      bydleni.do >= zac .and.;
      bydleni.do <= kon
   do vyuctuj
   modi file vyuct.txt noedit
case hoste_rad == 2
   select bydleni
   set filter to .not. empty(bydleni.do) .and.;
      .not. empty(bydleni.od) .and.;
      bydleni.do >= zac .and.;
      bydleni.do <= kon
   do vyuctuj
   type vyuct.txt to printer
   clear
   @ 0,0 say "Vyuctovani"
   @ 1,0 say "Od:"
   @ 2,0 say "Do:"
   show gets
case hoste_rad == 3
   clear read
endcase







*!*****************************************************************************
*!
*!      Procedure: VYUCTUJ
*!
*!      Called by: VYUCT_VYB()        (function  in DOTAZ.PRG)
*!
*!          Calls: FILE()             (function  in ?)
*!               : DTOC()             (function  in ?)
*!               : EOF()              (function  in ?)
*!               : EMPTY()            (function  in ?)
*!               : ALLTRIM()          (function  in ?)
*!               : STR()              (function  in ?)
*!
*!    Other Files: VYUCT.TXT
*!
*!*****************************************************************************
procedure vyuctuj

if file("vyuct.txt")
   delete file vyuct.txt
endif
set device to file vyuct.txt



rad=1
select host
go top
byd=0
sluz=0
@rad,0say "Vyuctovani za obdobi  ";
   + dtoc(zac) + "  -  " + dtoc(kon)
rad=rad+2

do while .not. eof()
   if .not. empty(bydleni.cish)
      @rad,0say "-----------------------------------------"
      rad=rad+2
      @rad,0say "Host: " + alltrim(host.prijmeni) +" ";
         + host.jmenoh
      rad=rad+2
      host_byd=((bydleni.do-bydleni.od)+1)*pokoj.cenap
      byd=byd+host_byd
      @rad,0 say "Ubytovan v dobe"
      @rad,30say "Pokoj"
      @rad,40say "Cena"
      rad=rad+1
      @rad,0say dtoc(bydleni.od) + "  -  ";
         + dtoc(bydleni.do) + "      ";
         + str(bydleni.cisp,4) + "    ";
         + str(host_byd,10,2)
      rad=rad+2
      select uziti
      set filter to uziti.datumu >=bydleni.od  .and.;
         uziti.datumu <=bydleni.do .and.;
         uziti.cish == host.cish
      go top
      host_sluz=0
      if .not. eof()
         @rad,0say "Sluzby:"
         rad=rad+1
         do while .not. eof()
            @rad,0say sluzba.nazevs
            @rad,35say uziti.cena
            rad=rad+1
            host_sluz=host_sluz+uziti.cena
            skip
         enddo
         @rad,0say "Celkem za sluzby: ";
            + str(host_sluz) + " Kc"
      endif
      rad=rad+2
      @rad,0say "Celkem host: ";
         + str(host_sluz + host_byd) + " Kc"
      rad=rad+4
      sluz = sluz + host_sluz
      select host
   endif
   skip
enddo
@rad,0say "-----------------------------------------"
rad=rad+2
@rad,0say "Celkem sluzby:  " + str(sluz,11,2)
rad=rad+1
@rad,0say "Celkem bydleni: " + str(byd,11,2)
rad=rad+1
@rad,0say "                -------------------"
rad=rad+1
@rad,0say "Celkem:         " + str(byd+sluz,11,2)


set device to screen



*: EOF: DOTAZ.PRG
