*Autor: Martin Kot
*Studijni cislo: l97041
*Projekt do predmetu: Databazove a informacni systemy 1
*Nazev projektu: Hotel



*:*****************************************************************************
*:
*: Procedure file: C:\SKOLA_M\SEMESTR6\DBS1\DBS_PROJ\PROGR\HOTEL.PRG
*:
*:         System: 
*:         Author: 
*:      Copyright (c) 1910, 
*:  Last modified: 25/05/100     22:27
*:
*:  Procs & Fncts: CHYBA2
*:
*:          Calls: CHYBA2             (procedure in HOTEL.PRG)
*:               : USED()             (function  in ?)
*:               : LOCFILE()          (function  in ?)
*:               : PROGRAM()          (function  in ?)
*:               : STR()              (function  in ?)
*:               : LINENO()           (function  in ?)
*:               : CHYBA()            (function  in PROCS.PRG)
*:               : HOT_MENU.MPR
*:
*:      Documented 25.05.10 at 22:59               FoxDoc  version 2.10f
*:*****************************************************************************
set delete on
set date to german
set century on
set near on
set talk off
clear
deactivate window all

on error do chyba2

!cd ..\tabulky

if .not. used("host")
   select 0
   use (locfile("host.dbf","DBF","Where is host?"));
      again alias host ;
      order 0
endif

if .not. used("pokoj")
   select 0
   use (locfile("pokoj.dbf","DBF","Where is pokoj?"));
      again alias pokoj ;
      order 0
endif

if .not. used("bydleni")
   select 0
   use (locfile("bydleni.dbf","DBF","Where is bydleni?"));
      again alias bydleni ;
      order 0
endif


if .not. used("sluzba")
   select 0
   use (locfile("sluzba.dbf","DBF","Where is sluzba?"));
      again alias sluzba ;
      order 0
endif

if .not. used("uziti")
   select 0
   use (locfile("uziti.dbf","DBF","Where is uziti?"));
      again alias uziti ;
      order 0
endif
!cd ..
!cd programy
on escape clear read
set procedure to procs.prg
on error do chyba with program(),str(lineno())

public konec
konec=.f.
do hot_menu.mpr
read valid konec


set sysmenu to default
set date to american
set century off
set delete off
set talk on
set near off
on error
clear all

*!*****************************************************************************
*!
*!      Procedure: CHYBA2
*!
*!      Called by: HOTEL.PRG                         
*!
*!*****************************************************************************
procedure chyba2
wait "Nepovedlo se otevrit nektery soubor";
   window timeout 5
on error
cancel
*: EOF: HOTEL.PRG
